This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1473205 - (CVE-2017-10972) CVE-2017-10972 xorg-x11-server: Unitialized data in endianness conversion in the XEvent handling
CVE-2017-10972 xorg-x11-server: Unitialized data in endianness conversion in ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170619,repor...
: Security
Depends On: 1473206
Blocks: 1473208
  Show dependency treegraph
 
Reported: 2017-07-20 04:37 EDT by Andrej Nemec
Modified: 2017-08-16 04:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-07-20 04:37:43 EDT
Uninitialized data in endianness conversion in the XEvent handling of the X.Org X Serverallowed authenticated malicious users to access potentially privileged data from the X server.


Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=05442de962d3dc624f79fc1a00eca3ffc5489ced

References:

https://bugzilla.suse.com/show_bug.cgi?id=1035283
Comment 1 Andrej Nemec 2017-07-20 04:38:32 EDT
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1473206]

Note You need to log in before you can comment on or make changes to this bug.